CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2014-6513

Unspecified vulnerability in Oracle Java SE 6u81, 7u67, and 8u20, and Java SE Embedded 7u60, allows remote attackers to affect confidentiality, integrity, and availability via vectors related to AWT.
Publish Date : 2014-10-15 Last Update Date : 2015-03-16
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
10.0
Confidentiality Impact Complete (There is total information disclosure, resulting in all system files being revealed.)
Integrity Impact Complete (There is a total compromise of system integrity. There is a complete loss of system protection, resulting in the entire system being compromised.)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s)
CWE ID CWE id is not defined for this vulnerability

- Related OVAL Definitions

Title Definition Id Class Family
IBM SDK Java Technology Edition vulnerability oval:org.mitre.oval:def:27929 unix
JRE and JDK Vulnerability on HPUX oval:org.mitre.oval:def:28845 unix
SUSE-SU-2014:1392-1 -- Security update for Java OpenJDK (moderate) oval:org.mitre.oval:def:28277 unix
SUSE-SU-2014:1422-1 -- Security update for java-1_7_0-openjdk (important) oval:org.mitre.oval:def:28325 unix
SUSE-SU-2014:1549-1 -- Security update for java-1_7_1-ibm (important) oval:org.mitre.oval:def:28097 unix
SUSE-SU-2014:1526-1 -- Security update for IBM Java (important) oval:org.mitre.oval:def:28322 unix
USN-2386-1 -- OpenJDK 6 vulnerabilities oval:org.mitre.oval:def:27128 unix
USN-2388-1 -- OpenJDK 7 vulnerabilities oval:org.mitre.oval:def:27170 unix
USN-2388-2 -- OpenJDK 7 vulnerabilities oval:org.mitre.oval:def:27028 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2014-6513

# Product Type Vendor Product Version Update Edition Language
1 Application Oracle JDK 1.6.0 Update 81 Version Details Vulnerabilities
2 Application Oracle JDK 1.7.0 Update 60 Version Details Vulnerabilities
3 Application Oracle JDK 1.7.0 Update 67 Version Details Vulnerabilities
4 Application Oracle JDK 1.8.0 Update 20 Version Details Vulnerabilities
5 Application Oracle JRE 1.6.0 Update 81 Version Details Vulnerabilities
6 Application Oracle JRE 1.7.0 Update 60 Version Details Vulnerabilities
7 Application Oracle JRE 1.7.0 Update 67 Version Details Vulnerabilities
8 Application Oracle JRE 1.8.0 Update 20 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Oracle JDK 4
Oracle JRE 4

- References For CVE-2014-6513

http://lists.opensuse.org/opensuse-security-announce/2014-11/msg00021.html
SUSE SUSE-SU-2014:1526
http://lists.opensuse.org/opensuse-security-announce/2014-11/msg00013.html
SUSE SUSE-SU-2014:1422
http://lists.opensuse.org/opensuse-security-announce/2014-12/msg00002.html
SUSE SUSE-SU-2014:1549
http://lists.opensuse.org/opensuse-security-announce/2015-02/msg00036.html
SUSE SUSE-SU-2015:0392
http://www.oracle.com/technetwork/topics/security/cpuoct2014-1972960.html CONFIRM
http://security.gentoo.org/glsa/glsa-201502-12.xml
GENTOO GLSA-201502-12
http://lists.opensuse.org/opensuse-security-announce/2015-02/msg00027.html
SUSE SUSE-SU-2015:0345
http://marc.info/?l=bugtraq&m=141775382904016&w=2
HP SSRT101770
http://www.ubuntu.com/usn/USN-2386-1
UBUNTU USN-2386-1
http://www.securityfocus.com/bid/70569
BID 70569 Oracle Java SE CVE-2014-6513 Remote Security Vulnerability Release Date:2017-01-17
http://www-01.ibm.com/support/docview.wss?uid=swg21688283 CONFIRM
http://lists.opensuse.org/opensuse-security-announce/2015-02/msg00026.html
SUSE SUSE-SU-2015:0344
http://www.ubuntu.com/usn/USN-2388-1
UBUNTU USN-2388-1
http://www.ubuntu.com/usn/USN-2388-2
UBUNTU USN-2388-2

- Metasploit Modules Related To CVE-2014-6513

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.